summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-10-03 17:43:59 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-10-03 17:43:59 -0300
commitfe01d7a19d6e9b6fc84a5f34da82085552e0c9b4 (patch)
treeb5d04a673d14a115f2aa674126d872a82d81ec02
parentb9d8a6086dbab76f3bb6bdb3acb3478f50f2a420 (diff)
downloaddebian-fe01d7a19d6e9b6fc84a5f34da82085552e0c9b4.tar.gz
debian-fe01d7a19d6e9b6fc84a5f34da82085552e0c9b4.tar.bz2
Adding sample scripts
-rw-r--r--TODO.md1
-rwxr-xr-xdebian-build8
-rwxr-xr-xdebian-dev-setup10
-rwxr-xr-xdebian-keyring-setup25
4 files changed, 44 insertions, 0 deletions
diff --git a/TODO.md b/TODO.md
index 424d8aa..2ecf9e1 100644
--- a/TODO.md
+++ b/TODO.md
@@ -11,6 +11,7 @@ Organization
* Merge all `build-area` folders.
* Deploy as a ikiwiki + git-annex instance, perhaps replacing reprepro.
* Try an [AutomateBackports](https://wiki.debian.org/AutomateBackports) setup.
+* Vagrant: run `debian-dev-setup` as an additional shell provisioner.
Upstream
--------
diff --git a/debian-build b/debian-build
new file mode 100755
index 0000000..529d81a
--- /dev/null
+++ b/debian-build
@@ -0,0 +1,8 @@
+#!/bin/bash
+#
+# Simpler debian builder.
+#
+
+# Placeholder
+echo "TODO"
+exit 1
diff --git a/debian-dev-setup b/debian-dev-setup
new file mode 100755
index 0000000..41f02a1
--- /dev/null
+++ b/debian-dev-setup
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Setup development environment.
+#
+
+# Parameter
+PACKAGES="/var/data/apps/distros/debian/packages"
+
+# Required folders
+mkdir -p $PACKAGES
diff --git a/debian-keyring-setup b/debian-keyring-setup
new file mode 100755
index 0000000..7e00e89
--- /dev/null
+++ b/debian-keyring-setup
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Setup a local debian-keyring repository.
+#
+
+# Parameters
+CWD="`pwd`"
+
+# Make sure the keyring repository is initialized
+git submodule update --init || exit 1
+
+# Go there
+cd keyring
+
+# Build the keyring
+make || exit 1
+
+# Symlink
+ln -s output/keyrings/debian-keyring.gpg output/keyrings/debian-keyring.gpg/trustedkeys.gpg || exit 1
+ln -s output/keyrings output/.gnupg || exit 1
+
+# Write devscripts configuration
+cat <<EOF > output/.devscripts
+DSCVERIFY_KEYRINGS="/usr/share/keyrings/debian-keyring.gpg:/usr/share/keyrings/debian-maintainers.gpg:$CWD/keyrings/debian-keyring.gpg"
+EOF